Package: org.grails.io.watch

## [Java] Interface DirectoryWatcher.FileChangeListener

-     public static interface DirectoryWatcher.FileChangeListener

  Interface for FileChangeListeners

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `onChange(java.io.File file)` Fired when a file changes
    `` | `public void` | `onNew(java.io.File file)` Fired when a new file is created

- - ### Method Detail

    - #### public void onChange(java.io.File file)

      Fired when a file changes

      Parameters:
        `file` - The file that changed

    - #### public void onNew(java.io.File file)

      Fired when a new file is created

      Parameters:
        `file` - The file that was created